package com.genlot.nativesdk.model;

import android.os.Parcel;
import android.os.Parcelable;

public class GameWinPool implements Parcelable {
    public int mWinPoolID;//奖池编号
    public String mWinPoolName;//奖池名称
    public double mWinPoolSales;//奖池销量
    public double mLeft;//奖池余额

    public static final Creator<GameWinPool> CREATOR = new Creator<GameWinPool>() {
        @Override
        public GameWinPool createFromParcel(Parcel source) {
            GameWinPool attr = new GameWinPool();
            attr.mWinPoolID = source.readInt();
            attr.mWinPoolName = source.readString();
            attr.mWinPoolSales = source.readDouble();
            attr.mLeft = source.readDouble();
            return attr;
        }

        @Override
        public GameWinPool[] newArray(int size) {
            return new GameWinPool[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel parcel, int flags) {
        parcel.writeInt(mWinPoolID);
        parcel.writeString(mWinPoolName);
        parcel.writeDouble(mWinPoolSales);
        parcel.writeDouble(mLeft);
    }
}
